#!/bin/sh
    OperationMode=`/bin/grep OperationMode /etc/hostinfo.conf | sed 's/OperationMode=//'`

    case $OperationMode in
    VOSServer)
             StartCMD="VOS_Server"
             ;;
    VSoIPServer)
             StartCMD="VSoIP_Server"
             ;;
    VSoIPClient)
             StartCMD="VSoIP_Client"
             ;;
    *)
             StartCMD="unknowd"
             ;;
    esac
   
    if [ $StartCMD == "VSoIP_Server" ]; then
    	/APP/DDNSReg &

    	#start ReportCheck
    	/APP/ReportCheck &
    fi
    
    #start CheckSetTime
    /APP/CheckSetTime &    

    #start ARPBroadcast
    /APP/ARPBroadcast &
    
    #for VPN
    VPNMode=`/bin/grep VPNMode /etc/hostinfo.conf | sed 's/VPNMode=//'`
    if [ $VPNMode == "enable" ]; then
      /bin/cp -rf /APP/VPN/ /tmp/
      cd /tmp/VPN/
      if [ $StartCMD == "VSoIP_Server" ]; then
        ./vpn_server &
      else
        ./vpn_client &
      fi
    fi
    
